gr::gfdm::cyclic_prefixer_cc Class Reference

Add Cyclic Prefix to GFDM block and apply block pinching (W-GFDM). More...

`#include <cyclic_prefixer_cc.h>`

Inheritance diagram for gr::gfdm::cyclic_prefixer_cc:
[legend]

## Public Types

typedef boost::shared_ptr< cyclic_prefixer_cc > | sptr

## Static Public Member Functions

static sptr | make (int block_len, int cp_len, int cs_len, int ramp_len, std::vector< gr_complex > window_taps)
| Return a shared_ptr to a new instance of gfdm::cyclic_prefixer_cc.

## Detailed Description

Add Cyclic Prefix to GFDM block and apply block pinching (W-GFDM).

## Member Typedef Documentation

## sptr

typedef boost::shared_ptr<cyclic_prefixer_cc> gr::gfdm::cyclic_prefixer_cc::sptr

## Member Function Documentation

## make()

static sptr gr::gfdm::cyclic_prefixer_cc::make | ( | int | block_len,
|  | int | cp_len,
|  | int | cs_len,
|  | int | ramp_len,
|  | std::vector< gr_complex > | window_taps
| ) |  |

static

Return a shared_ptr to a new instance of gfdm::cyclic_prefixer_cc.

To avoid accidental use of raw pointers, gfdm::cyclic_prefixer_cc's constructor is in a private implementation class. gfdm::cyclic_prefixer_cc::make is the public interface for creating new instances.

The documentation for this class was generated from the following file:

- cyclic_prefixer_cc.h